Package uk.ac.starlink.topcat.interop

# Class SampImageActivity

java.lang.Object
uk.ac.starlink.topcat.interop.SampImageActivity

All Implemented Interfaces:
  `Activity`, `ImageActivity`

public class SampImageActivity extends Object implements ImageActivity
ImageActivity implementation using SAMP for the external communications.

Since:
  18 Sep 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from interface uk.ac.starlink.topcat.interop.ImageActivity

`FORMAT_FITS, FORMAT_GIF, FORMAT_JPEG, FORMAT_PNG, KNOWN_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`SampImageActivity(org.astrogrid.samp.gui.GuiHubConnector connector)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`displayImage(String location, String label)`
Displays an image according to the current selections of the components owned by this activity.
`JComboBox<String>`
`getFormatSelector()`
Returns a combo box for selecting image format.
`ComboBoxModel<ImageViewer>`
`getTargetSelector()`
Returns a ComboBoxModel which allows selection of target applications.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SampImageActivity

public SampImageActivity(org.astrogrid.samp.gui.GuiHubConnector connector)
Constructor.

Parameters:
  `connector` - SAMP connector

## Method Details

### getTargetSelector

public ComboBoxModel<ImageViewer> getTargetSelector()
Description copied from interface: `Activity`
Returns a ComboBoxModel which allows selection of target applications.

Specified by:
  `getTargetSelector` in interface `Activity`
Returns:
  target application selection model

### getFormatSelector

public JComboBox<String> getFormatSelector()
Description copied from interface: `ImageActivity`
Returns a combo box for selecting image format. A suitable list of entries for this box is `ImageActivity.KNOWN_FORMATS`.

Specified by:
  `getFormatSelector` in interface `ImageActivity`
Returns:
  format selector

### displayImage

public void displayImage(String location, String label)
Description copied from interface: `ImageActivity`
Displays an image according to the current selections of the components owned by this activity.

Specified by:
  `displayImage` in interface `ImageActivity`
Parameters:
  `location` - string giving file name or URL location of file
  `label` - label for display target